# Class CIM_AssociatedProtocolController
extends CIM_ProtocolControllerForDevice

This association is used to define a hierarchy relationship between ProtocolControllers. This subclass is provided so that an enumeration of related ProtocolControllers can be performed without retrieving any connected StorageVolumes, MediaAccessDevices or LogicalPorts.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_ProtocolControllerForDevice
|
+--CIM_AssociatedProtocolController

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | This association is used to define a hierarchy relationship between ProtocolControllers. This subclass is provided so that an enumeration of related ProtocolControllers can be performed without retrieving any connected StorageVolumes, MediaAccessDevices or LogicalPorts.
UMLPackagePath | string | CIM::Device::ProtocolController
Version | string | 2.8.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_AssociatedProtocolController | CIM_ProtocolController
Dependent | CIM_AssociatedProtocolController | CIM_ProtocolController

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
AccessPriority | uint16 | CIM_ProtocolControllerForDevice
AccessState | uint16 | CIM_ProtocolControllerForDevice
DeviceNumber | string | CIM_ProtocolControllerForDevice

## Class Methods